--- title: "All Text Analytics" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/text-analytics/all-text-analytics/ description: "This API enables you to perform Sentiment Analysis, Named Entity Recognition, and Keyword Extraction on a block of text." last_updated: 2026-08-17T12:16:04Z service: Zia Services type: api --- # Text Analytics [Text Analytics](https://docs.catalyst.zoho.com/en/zia-services/help/text-analytics/introduction/) as a whole includes a combination of the following three features: [Sentiment Analysis](https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/text-analytics/all-text-analytics/#SentimentAnalysis), [Named Entity Recognition](https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/text-analytics/all-text-analytics/#NamedEntityRecognition), and [Keyword Extraction](https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/text-analytics/all-text-analytics/#KeywordExtraction). You can perform all three actions on a specific block of text, and obtain the tone of the text, the categorizations of the entities recognized from it, and key words and phrases that provide a gist of the text. ## Execute All Text Analytics ### Description You can use this API to perform Sentiment Analysis, Named Entity Recognition, and Keyword Extraction on a block of text of upto 1500 characters. You can pass the text in the JSON body of the request, as shown in the sample request. You can also pass optional keywords to perform Sentiment Analysis on the sentences containing only those keywords. > **Note:** Refer to the respective API pages of these features for detailed information about each of them. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/ml/text-analytics - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **document** (string array, mandatory): The text to be processed for Sentiment Analysis, Named Entity Recognition, and Keyword Extraction - **keywords** (string array, optional): To perform Sentiment Analysis only on the sentences containing these keywords ### Response Details The response contains the results of each of the text analytics feature. Refer to the response details section of each feature individually for detailed information. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/text-analytics \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -d '{ "document":"[Zoho Corporation is an Indian software development company. The focus of Zoho Corporation lies in web-based business tools and information technology.]" }' ``` **Sample Response** ```json { "status":"success", "data":[ { "keyword_extractor":{ "keywords":[ "focus" ], "keyphrases":[ "Indian software development company", "Zoho Corporation", "web - based business tools", "information technology" ] }, "sentiment_prediction":[ { "document_sentiment":"Neutral", "sentence_analytics":[ { "sentence":"Zoho Corporation is an Indian software development company.", "sentiment":"Neutral", "confidence_scores":{ "negative":0.0, "neutral":1.0, "positive":0.0 } }, { "sentence":"The focus of Zoho Corporation lies in web-based business tools and information technology.", "sentiment":"Neutral", "confidence_scores":{ "negative":0.0, "neutral":1.0, "positive":0.0 } } ], "overall_score":1.0 } ], "ner":{ "general_entities":[ { "start_index":0, "confidence_score":99, "end_index":16, "ner_tag":"Organization", "token":"Zoho Corporation" }, { "start_index":23, "confidence_score":99, "end_index":29, "ner_tag":"Miscellaneous", "token":"Indian" }, { "start_index":73, "confidence_score":99, "end_index":89, "ner_tag":"Organization", "token":"Zoho Corporation" } ] } } ] } ``` ### SDK Documentation [Text Analytics: All Text Analytics- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/text-analytics/all-text-analytics) [Text Analytics: All Text Analytics- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/text-analytics/all-text-analytics) [Text Analytics: All Text Analytics- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/text-analytics/all-text-analytics)